using UnityEditor;

[CustomEditor(typeof(BattleController))]
public class BattleControllerInspector:Editor
{
    public override void OnInspectorGUI()
    {
        base.OnInspectorGUI();

        BattleController _this = target as BattleController;
        
        if(_this)
        {
           EditorGUILayout.Toggle("battle finished", _this.battleFinished);
/*
           EditorGUILayout.IntField("win count", _this.winCount);
           EditorGUILayout.IntField("lose count", _this.loseCount);*/
        }
    }
}